function [Time, Vsent, VMeasured, PosX, PosY] = importfileXY(filename, dataLines)
%IMPORTFILE1 Import data from a text file
%  [TIME, VSENT, VMEASURED, POSX, POSY] = IMPORTFILE1(FILENAME) reads
%  data from text file FILENAME for the default selection.  Returns the
%  data as column vectors.
%
%  [TIME, VSENT, VMEASURED, POSX, POSY] = IMPORTFILE1(FILE, DATALINES)
%  reads data for the specified row interval(s) of text file FILENAME.
%  Specify DATALINES as a positive scalar integer or a N-by-2 array of
%  positive scalar integers for dis-contiguous row intervals.
%
%  Example:
%  [Time, Vsent, VMeasured, PosX, PosY] = importfile1("/home/leonardo/Desktop/Testes/T4/Data_13:10_X.csv", [2, Inf]);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 21-Jun-2019 13:35:12

%% Input handling

% If dataLines is not specified, define defaults
if nargin < 2
    dataLines = [2, Inf];
end

%% Setup the Import Options
opts = delimitedTextImportOptions("NumVariables", 5);

% Specify range and delimiter
opts.DataLines = dataLines;
opts.Delimiter = ";";

% Specify column names and types
opts.VariableNames = ["Time", "Vsent", "VMeasured", "PosX", "PosY"];
opts.VariableTypes = ["double", "double", "double", "double", "double"];
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Import the data
tbl = readtable(filename, opts);

%% Convert to output type
Time = tbl.Time;
Vsent = tbl.Vsent;
VMeasured = tbl.VMeasured;
PosX = tbl.PosX;
PosY = tbl.PosY;
end